Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.rmi
Class RMIServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.rmi.RMIServerInvoker

All Implemented Interfaces:
  Invoker, Remote, RMIServerInvokerInf

public class RMIServerInvoker
extends ServerInvoker
implements RMIServerInvokerInf

RMIServerInvoker

Version:
  $Revision: 1.3 $
Author:
  Jeff Haynie

Field Summary

Fields inherited from class org.jboss.remoting.ServerInvoker
`callbackHandlers, handlers, MAX_NUM_ONEWAY_THREADS`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, localServerLocator, locator, log, logExtra`

Constructor Summary
`RMIServerInvoker(InvokerLocator locator)`

Method Summary
`void` | `destroy()` destroy the RMI Server Invoker, which will unexport the RMI server
`protected void` | `finalize()`
`RemoteStub` | `getStub()`
`boolean` | `isTransportBiDirectional()` returns true if the transport is bi-directional in nature, for example, SOAP in unidirectional and SOCKETs are bi-directional (unless behind a firewall for example).
`byte[]` | `transport(byte[] buffer)` transport a buffer via RMI

Methods inherited from class org.jboss.remoting.ServerInvoker
`addInvocationHandler, getInvocationHandler, getInvocationHandlers, getSupportedSubsystems, hasInvocationHandler, invoke, invoke, isStarted, postProcess, preProcess, removeInvocationHandler, start, stop`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClass, getClassBytes, getClientLocator, getLocator, loadClass, read, setClassLoader, setClientLocator, unmarshal`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIServerInvoker

    public RMIServerInvoker(InvokerLocator locator)
                     throws RemoteException

Method Detail

### destroy

    public void destroy()

  destroy the RMI Server Invoker, which will unexport the RMI server

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### isTransportBiDirectional

    public boolean isTransportBiDirectional()

  returns true if the transport is bi-directional in nature, for example, SOAP in unidirectional and SOCKETs are bi-directional (unless behind a firewall for example).

  Specified by:
    `isTransportBiDirectional` in class `ServerInvoker`
  Returns:

### getStub

    public final RemoteStub getStub()

### transport

    public byte[] transport(byte[] buffer)
                     throws RemoteException,
                            IOException

  Description copied from interface: `RMIServerInvokerInf`
  transport a buffer via RMI

  Specified by:
    `transport` in interface `RMIServerInvokerInf`
  Parameters:
    `buffer` -
  Returns:
  Throws:
    `IOException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.